# Uses of Interface
jcifs.smb.SmbFileFilter

Packages that use SmbFileFilter
Package
Description
jcifs.smb

## Uses of SmbFileFilter in jcifs.smb

Classes in jcifs.smb that implement SmbFileFilter
Modifier and Type
Class
Description
`class`
`DosFileFilter`
Methods in jcifs.smb with parameters of type SmbFileFilter
Modifier and Type
Method
Description
`SmbFile[]`
SmbFile.`listFiles(SmbFileFilter filter)`
List the contents of this SMB resource.